using System;
using System.Collections.Generic;
using System.Text;

namespace TypeDemo
{
    class BankAccount
    {
        private double balance;
        public BankAccount(double init)
        {
            balance = init;
        }
        public void Deposit(double amount)
        {
            balance += amount;
        }
        public void Withdraw(double amount)
        {
            balance -= amount;
        }
        public double GetBalance()
        {
            return balance;
        }
    }
    enum BILL { TWENTY, FIFTY, HUNDRED, FIVEHUNDRED, THOUSAND }
    enum COIN { TWENTYFIVE, FIFTY, ONEPESO, FIVEPESOS, TENPESOS }
    struct Money
    {   
        int pesos, cents;
        public void AddBill( BILL b )
        {
            switch( b )
            {
                case BILL.TWENTY:
                    pesos += 20;
                    break;
                case BILL.FIFTY:
                    pesos += 50;
                    break;
                case BILL.HUNDRED:
                    pesos += 100;
                    break;
                case BILL.FIVEHUNDRED:
                    pesos += 500;
                    break;
                case BILL.THOUSAND:
                    pesos += 1000;
                    break;
            }
        }
        public void AddCoin( COIN c )
        {
            switch (c)
            {
                case COIN.TWENTYFIVE:
                    cents += 25;
                    break;
                case COIN.FIFTY:
                    cents += 50;
                    break;
                case COIN.ONEPESO:
                    cents += 100;
                    break;
                case COIN.TENPESOS:
                    cents += 1000;
                    break;
            }
        }
        public double GetValue()
        {
            return pesos + 0.01*cents;
        }
     }
    class Program
    {
        static void Main(string[] args)
        {
            BankAccount bob;
            bob = new BankAccount(1000);
            Money temp = new Money(); // automatically sets attributes to 0
            temp.AddBill(BILL.THOUSAND);
            temp.AddBill(BILL.THOUSAND);
            temp.AddCoin(COIN.FIFTY);
            bob.Deposit(temp.GetValue());
            Console.WriteLine("Balance in Bob's account is P{0:F2}", bob.GetBalance());
            temp = new Money();
            temp.AddBill(BILL.FIVEHUNDRED);
            bob.Deposit(temp.GetValue());
            Console.WriteLine("Balance in Bob's account is now P{0:F2}", bob.GetBalance());
            Console.ReadLine();
        }
    }
}
